Method: caseQueueFilters.create

Full name: projects.locations.instances.caseQueueFilters.create

Creates a new CaseQueueFilter. Use this method to save a useful set of filtering criteria for future reuse. The Filter can be personal to the creator or shared with other users or roles.

HTTP request


POST https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/caseQueueFilters

Path parameters

Parameters
parent

string

Required. The parent resource where this CaseQueueFilter will be created. Format: projects/{project}/locations/{location}/instances/{instance}/caseQueueFilters

Request body

The request body contains an instance of CaseQueueFilter.

Response body

If successful, the response body contains a newly created instance of CaseQueueFilter.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.caseQueueFilters.update

For more information, see the IAM documentation.